<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Chatbot.io</title>
        <link rel="stylesheet" href="css/styles.css">
        <script src="https://cdn.tailwindcss.com"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.4/font/bootstrap-icons.css">
    </head>
    <body class="w-screen h-screen m-0 bg-slate-800 flex flex-col text-slate-50">

        <!-- Top bar area -->
        <div class="h-20 bg-slate-700 w-full flex items-center border-b border-slate-900">
            <i class="bi-list text-3xl ml-4 cursor-pointer"></i>
            <div class="flex text-xl ml-4">
                <span>Paul DIELENSCHNEIDER</span> <!-- TODO see if I can make this customizable on first login -->
                <span class="ml-3 mr-3"> > </span>
                <span id="dest">UNKNOWN</span>
            </div>

        </div>

        <!-- Main area -->
        <div class="w-full flex h-calc">

            <!-- Contacts area -->
            <div class="w-96 h-full bg-slate-700 border-r border-slate-900 flex flex-col p-3" id="contacts">
                <span class="text-xl font-bold">Contacts</span>
                <div class="w-full border-b border-white mt-2 mb-2"></div>
            </div>

            <!-- Chat area -->
            <div class="flex-grow flex flex-col">

                <!-- Messages -->
                <div class="flex-grow flex flex-col p-8 overflow-auto" id="messages">

                </div>

                <!-- Message bar -->
                <div class="h-16 bg-slate-700 w-full flex p-2">
                    <input id="message-input" type="text" class="border-none flex-grow rounded bg-slate-600 outline-none pl-2 font-lg" placeholder="Input your message...">
                    <button class="rounded bg-emerald-500 w-24 ml-4" onclick="sendMessage()">Send</button>
                </div>

            </div>

        </div>

        <script
                src="https://code.jquery.com/jquery-3.6.4.min.js"
                integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8="
                crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/luxon/3.3.0/luxon.min.js" integrity="sha512-KKbQg5o92MwtJKR9sfm/HkREzfyzNMiKPIQ7i7SZOxwEdiNCm4Svayn2DBq7MKEdrqPJUOSIpy1v6PpFlCQ0YA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
        <script src="js/app.js"></script>
    </body>
</html>